#
# spec file for package openSUSE-EULAs
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without  java

Name:           openSUSE-EULAs
Version:        84.87.20220520.1491bf6
Release:        lp155.2.6
URL:            https://github.com/openSUSE/openSUSE-EULAs
Summary:        Collection of EULAs for openSUSE
License:        MIT
Group:          Development/Other
Source:         openSUSE-EULAs-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       package-EULAs
%if %{with java}
# we abuse the no java path here to skip license processing in staging
BuildRequires:  translate-toolkit
%endif

%description
openSUSE-EULAs is a collection of the end user license agreements (EULAs) which
govern use of certain (non-free) software. This software is typically packaged
and maintained in the openSUSE NonFree repository.

%prep
%setup -q -n openSUSE-EULAs-%{version}

%build
%if %{with java}
make
%else
# build without translate-toolkit support in staging
make LICENSES=
%endif

%install
%if %{with java}
%make_install
%else
# build without translate-toolkit support in staging
%make_install LICENSES=
%endif

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/eulas

%changelog
* Mon May 23 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220520.1491bf6:
  * license for Mesa-dri-nouveau no longer needed (boo#1186721)
  * Prepare for deepin-feature-enable
* Thu May 19 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220225.c939427:
  * Use https instead of git
* Fri Feb 25 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220225.c939427:
  * Drop 'EULA' for Mesa-dri-nouveau
  * make: Translate all the subdirs we have translations for
* Fri Feb 25 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220131.e9d0ccd:
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Slovak)
  * Added translation using Weblate (Slovak)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Hindi)
  * Translated using Weblate (Hindi)
  * Translated using Weblate (Chinese (China) (zh_CN))
  * Added translation using Weblate (Sinhala)
  * Translated using Weblate (Portuguese (Portugal))
  * Added translation using Weblate (Portuguese (Portugal))
  * Translated using Weblate (Italian)
  * Added translation using Weblate (Italian)
  * Translated using Weblate (German)
  * Add updated translations for Mesa-dri-nouveau
  * Adjust text to "I Agree/I Disagree" standard buttons for licenses (boo#1105654)
* Thu May 28 2020 opensuse-packaging@opensuse.org
- Update to version 84.87.20200511.4de0f73:
  * Translations for openSUSE Leap 15.2 RC poo#61278
  * Translated using Weblate (Hindi)
  * Translated using Weblate (Estonian)
  * Added translation using Weblate (Estonian)
  * Translated using Weblate (Czech)
  * Added translation using Weblate (Czech)
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Arabic)
* Mon May  6 2019 Karl Eichwalder <ke@suse.de>
- Update to version 84.87.20190503.6ae4bbd:
  * Translated using Weblate (Persian)
  * Translated using Weblate (Norwegian Nynorsk)
  * Translated using Weblate (Hindi)
* Mon Mar 25 2019 Karl Eichwalder <ke@suse.de>
- Update to version 84.87.20190314.743685c:
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Dutch)
  * Added translation using Weblate (Dutch)
* Tue Feb 12 2019 ke@suse.com
- Update to version 84.87.20180711.9c1911c:
  * Added translation using Weblate (Chinese (Taiwan))
  * Translated using Weblate (Chinese (Taiwan))
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Russian)
* Mon May 14 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180512.b26930f:
  * Translated using Weblate (Chinese (China))
  * Added translation using Weblate (French)
  * Translated using Weblate (French)
* Mon May  7 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180504.b9673e2:
  * add license for steamcmd
  * remove fluendo licenses
  * Translated using Weblate (Greek)
* Tue Apr 24 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180424.73f53b3:
  * Match text with actual buttons used in YaST (boo#1084753)
  * update translations
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Fix makefile to skip missing translations
* Mon Apr 16 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180407.22def0a:
  * Translated using Weblate (Hindi)
  * Added translation using Weblate (Hindi)
* Fri Apr  6 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180313.50c706a:
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Finnish)
  * Translated using Weblate (Norwegian Nynorsk)
* Mon Jul 17 2017 lnussel@suse.de
- Update to version 84.87.20170717.0223e19:
  * Added translation using Weblate (Norwegian Nynorsk)
  * Translated using Weblate (German)
* Fri Jul  7 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170615.dcb55c2:
  * Translated using Weblate (Chinese (China))
* Wed Jun  7 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170321.17c4011:
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Chinese (China))
* Tue Nov  8 2016 lnussel@suse.de
- Update to version 84.87.20161106.e41d147:
  * Translated using Weblate (Arabic)
* Mon Oct 31 2016 lnussel@suse.de
- Update to version 84.87.20161031.287d9d4:
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Persian)
  * Use --template when using po2txt (boo#1007788)
* Fri Oct 28 2016 lnussel@suse.de
- don't build translations in staging to avoid pulling in translate-toolkit.
- Update to version 84.87.20161028.5cd48e2:
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Greek)
  * Use LICENSES for installation
* Fri Oct 28 2016 lnussel@suse.de
- Update to version 84.87.20161028.21cf4b2:
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Persian)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Ukrainian)
* Thu Oct 27 2016 lnussel@suse.de
- Move sources to git
- Update licenses from packages
- Reword Nouveau warning a bit
- Add gstreamer-fluendo-mp3.en
* Fri Oct 21 2016 dimstar@opensuse.org
- Add Mesa-dri-nouveau 'license' text: warn users when installing
  this driver of potential lockups (boo#1005323).
* Mon Jul 28 2014 sbrabec@suse.cz
- openSUSE-EULAs-13.2.tar.bz2: Add AdobeICCProfiles.en required by
  the license agreement (bnc#886454).
* Wed Jul  9 2014 sbrabec@suse.cz
- Remove flash-player.en (bnc#886454, bnc#886472).
- Bump version to 13.2.
* Fri Oct 28 2011 coolo@suse.com
- remove unused source
* Wed Oct 26 2011 cfarrell@suse.com
- First version. Currently only flash-player and fluendo
